Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1599991 - volume reset is not changing performance.client-io-threads to default ( off for replicate )
Summary: volume reset is not changing performance.client-io-threads to default ( off f...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: ---
Assignee: Atin Mukherjee
QA Contact: Bala Konda Reddy M
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-11 07:21 UTC by Vijay Avuthu
Modified: 2018-12-10 02:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-12 06:07:15 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Vijay Avuthu 2018-07-11 07:21:18 UTC
Description of problem:

volume reset is not changing performance.client-io-threads to default ( off for replicate )


Version-Release number of selected component (if applicable):

glusterfs-3.8.4-54.14.el7rhgs.x86_64

How reproducible:

Always

Steps to Reproduce:
1. create 1 * 3 replicate volume and start
2. check for performance.client-io-threads and it should be off
3. reset the volume
4. check for performance.client-io-threads and it should be off


Actual results:

step 4, performance.client-io-threads is on


Expected results:

step 4, performance.client-io-threads should be off

[root@dhcp46-93 13]# gluster vol info 13

Additional Info:

Volume Name: 13
Type: Replicate
Volume ID: 6f4d3e01-ba7a-4af5-a84a-1d1890843c33
Status: Started
Snapshot Count: 0
Number of Bricks: 1 x 3 = 3
Transport-type: tcp
Bricks:
Brick1: 10.70.46.93:/bricks/brick1/b0
Brick2: 10.70.46.198:/bricks/brick1/b1
Brick3: 10.70.46.48:/bricks/brick1/b2
Options Reconfigured:
transport.address-family: inet
nfs.disable: on
performance.client-io-threads: off
[root@dhcp46-93 13]# gluster vol get 13 performance.client-io-threads
Option                                  Value                                   
------                                  -----                                   
performance.client-io-threads           off                                     

> volume reset

[root@dhcp46-93 13]# gluster vol reset 13
volume reset: success: reset volume successful
[root@dhcp46-93 13]# 
[root@dhcp46-93 13]# gluster vol get 13 performance.client-io-threads
Option                                  Value                                   
------                                  -----                                   
performance.client-io-threads           on                                      
[root@dhcp46-93 13]# grep -i "volume 13-io-threads" trusted-13.tcp-fuse.vol -A3
volume 13-io-threads
    type performance/io-threads
    subvolumes 13-md-cache
end-volume
[root@dhcp46-93 13]#

Comment 2 Ravishankar N 2018-07-11 07:26:37 UTC
Changing component as this is not replicate.

Comment 4 Atin Mukherjee 2018-07-12 06:07:15 UTC
This doesn't fail in 3.4.0 and we're not going to fix this in 3.3.1-async as discussed and agreed upon.

Comment 5 Vijay Avuthu 2018-07-13 07:36:00 UTC
based on below update, I don't see the complete expected behavior in 3.4 hence we may need to re-open the bug.


Update:
==========

with 3.4 build : glusterfs-3.12.2-13.el7rhgs.x86_64, behavior is bit different

Below is observation


1. create 1 * 3 replicate volume and start
2. check for performance.client-io-threads and it should be off
3. reset the volume
4. check for performance.client-io-threads and it should be off
5. io-threads shouldn't be loaded in trusted-<volname>.tcp-fuse.vol


> At step5, Even though performance.client-io-threads is off from volume options but io-threads are loaded into trusted-<volname>.tcp-fuse.vol

[root@dhcp47-45 13]# gluster vol reset 13
volume reset: success: reset volume successful
[root@dhcp47-45 13]# gluster vol info 13
 
Volume Name: 13
Type: Replicate
Volume ID: be3c1922-fc6c-472d-92b0-c01d9baa2cd3
Status: Started
Snapshot Count: 0
Number of Bricks: 1 x 3 = 3
Transport-type: tcp
Bricks:
Brick1: 10.70.47.45:/bricks/brick1/b0
Brick2: 10.70.47.144:/bricks/brick1/b1
Brick3: 10.70.47.122:/bricks/brick1/b2
Options Reconfigured:
nfs.disable: on
cluster.server-quorum-ratio: 95%
cluster.enable-shared-storage: disable
[root@dhcp47-45 13]# gluster vol get 13 performance.client-io-threads
Option                                  Value                                   
------                                  -----                                   
performance.client-io-threads           off                                     
[root@dhcp47-45 13]# grep -i "volume 13-io-threads" trusted-13.tcp-fuse.vol -A3
volume 13-io-threads
    type performance/io-threads
    subvolumes 13-md-cache
end-volume
[root@dhcp47-45 13]#


Note You need to log in before you can comment on or make changes to this bug.